Bug 600691 - errata.getDetails(session, name) doesn't return the errata ID
Summary: errata.getDetails(session, name) doesn't return the errata ID
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API   
(Show other bugs)
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: sat540-api, sat540-apis
TreeView+ depends on / blocked
 
Reported: 2010-06-05 16:35 UTC by Aron Parsons
Modified: 2016-01-04 05:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 19:02:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aron Parsons 2010-06-05 16:35:26 UTC
Description of problem:
errata.getDetails() doesn't return the errata ID.  This would be useful for locating an errata and then looping to apply it to all the systems it affects via system.scheduleApplyErrata(). 

The workaround is to get a list of systems affected by the errata via errata.listAffectedSystems(), then call system.getRelevantErrata() on one of the systems returned, and then loop through the list of errata until you find a matching name and then get the errata ID from that data structure.

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. call errata.getDetails(session, name)

Actual results:
the errata ID is not in the returned data structure

Expected results:
the errata ID should be in the returned data structure

Comment 1 Aron Parsons 2010-07-14 19:02:13 UTC
I guess this isn't needed.  I was just using the API inefficiently when I wrote this report.


Note You need to log in before you can comment on or make changes to this bug.